aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xamerican-unsigned-language-2.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/american-unsigned-language-2.sh b/american-unsigned-language-2.sh
index 60081e6..c63aad1 100755
--- a/american-unsigned-language-2.sh
+++ b/american-unsigned-language-2.sh
@@ -82,8 +82,16 @@ lockdown_status() {
lockdown_status
if ! command -v iasl >/dev/null 2>&1; then
- echo "[+] Installing dependencies"
- apt-get install -y acpica-tools
+ if command -v apt-get >/dev/null 2>&1; then
+ echo "[+] Installing dependencies"
+ apt-get install -y acpica-tools
+ elif command -v yum >/dev/null 2>&1; then
+ echo "[+] Installing dependencies"
+ yum install -y acpica-tools
+ else
+ echo "[-] Install iasl and try again"
+ exit 1
+ fi
fi
echo "[+] Resolving kernel symbols"